<%% content_for :title, @title %>
<%% content_for :meta_description, @<%= @model_name.underscore %>.meta_description %>

<%%= content_tag :article do %>
  <%%= render '<%= @model_name.underscore.pluralize %>/header', article: @<%= @model_name.underscore %> %>
  <% if defined?(Blocks) %>
  <%%= render_blocks_for @<%= @model_name.underscore %> %>
  <% else %>
  <%%= @<%= @model_name.underscore %>.body %>
  <% end %>
<%% end %>

<nav id="next-prev">
  <%% if @<%= @model_name.underscore %>.prev %>
    <%%= link_to article_path(@<%= @model_name.underscore %>.prev), class: 'prev' do %>
      <span>&laquo; Older</span> <br>
      <%%= @<%= @model_name.underscore %>.prev.title.html_safe %>
    <%% end %>
  <%% end %>

  <%% if @<%= @model_name.underscore %>.next %>
    <%%= link_to article_path(@<%= @model_name.underscore %>.next), class: 'next' do %>
      <span>Newer &raquo;</span> <br>
      <%%= @<%= @model_name.underscore %>.next.title.html_safe %>
    <%% end %>
  <%% end %>
</nav>

<%%= render '<%= @model_name.underscore.pluralize %>/sidebar' %>
